from django.urls import path, include
from rest_framework import routers
# from api import views
from api.views import usuario, auth, aplicacion, tipo, persona, comuna, region, paradero
from api.views import mapa, linea, operador

router = routers.DefaultRouter()
router.register('aplicaciones', aplicacion.AplicacionViewSet)
router.register('usuarios', usuario.UsuarioViewSet)
router.register('personas', persona.PersonaViewSet)
router.register('tipos/persona', tipo.TipoTratamientoPersonaViewSet)
router.register('tipos/transporte', tipo.TipoTransporteViewSet)
router.register('tipos/dispositivo', tipo.TipoDispositivoViewSet)
router.register('tipos/paradero', tipo.TipoParaderoViewSet)
router.register('tipos/vehiculo', tipo.TipoVehiculoViewSet)
router.register('comunas', comuna.ComunaViewSet)
router.register('regiones', region.RegionViewSet)
router.register('paraderos', paradero.ParaderoViewSet)
router.register('lineas', linea.LineaViewSet)
router.register('operadores', operador.OperadorViewSet)

urlpatterns = [
    path('', include(router.urls)),
    path('auth/', auth.jwt_login, name='auth'),
    path('mapas/paraderos/', mapa.paraderos, name='mapa-paraderos'),
    path('mapas/rutas/', mapa.rutas, name='mapa-rutas'),
    path('paraderos/image/<int:id>/', paradero.image, name='paradero-image')
]